<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "iva1060";
$bitMod = "iva";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultarTipoc':
		echo consultarTipoc();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultarTipoc() {
	global $empCod;
	$txtCod=utf8_decode($_POST['txtCod']);

	# QUERYS
	$sTipoc = "SELECT *,TRIM(tc_nom) AS tc_nom, trim(tc_abrev) AS tc_abrev FROM tipoc WHERE tc_cod='$txtCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sTipoc, "tipoc");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "tipoc");
}

function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);
	$txtAbrev=utf8_decode($_POST['txtAbrev']);
	$crCi=$_POST['crCi'];
	$crPone=$_POST['crPone'];

	# QUERYS PARA UN REGISTRO
	$iTipoc = "INSERT INTO tipoc(tc_cod, tc_nom, tc_abrev, tc_impues, tc_pone) VALUES ('$txtCod','$txtNom','$txtAbrev','$crCi','$crPone')";

	$uTipoc = "UPDATE tipoc SET tc_nom='$txtNom',tc_abrev='$txtAbrev',tc_impues='$crCi',tc_pone='$crPone' WHERE tc_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iTipoc);
		$db->iEx($func->iBitacora(utf8_decode("Se agrego el tipo de compra: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uTipoc);
		$db->iEx($func->iBitacora(utf8_decode("Se modifico el tipo de compra: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	}
	
	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$func = new functions();

	$txtCod=$_POST['txtCod'];
	$txtNom=utf8_decode($_POST['txtNom']);

	# QUERYS
	$dTipoc = "DELETE FROM tipoc WHERE tc_cod='$txtCod'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dTipoc);
	$db->iEx($func->iBitacora(utf8_decode("Se borró el Tipo de compra: $txtCod  $txtNom Usuario: ").$usuNom, $bitMod, $bitForm));
	$db->close();

	return json_encode($resp);
}
?>